Bug 341306 - CANVAS: no "Select All" for the second time and selection fixes after crop and auto crop [patch]
Summary: CANVAS: no "Select All" for the second time and selection fixes after crop an...
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: ImageEditor-Canvas (show other bugs)
Version: 4.5.0
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-26 21:19 UTC by Maik Qualmann
Modified: 2016-07-02 09:34 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 4.6.0


Attachments
selectionall.patch (1.08 KB, patch)
2014-11-26 21:20 UTC, Maik Qualmann
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Maik Qualmann 2014-11-26 21:19:40 UTC
Patch use a git-version of canvas.cpp

Reproducible: Always

Steps to Reproduce:
1. Open the image editor
2. Edit->Select All---->Selection ok 
3. Edit->Select None
4. Edit->Select All---->no Selection visible----->status bar is (0, 0) (0 x 0)
Comment 1 Maik Qualmann 2014-11-26 21:20:22 UTC
Created attachment 89737 [details]
selectionall.patch
Comment 2 caulier.gilles 2014-11-26 22:10:54 UTC
Git commit 93f7339892c9c5ff79db22c8008d239f2a1f1dec by Gilles Caulier.
Committed on 26/11/2014 at 22:09.
Pushed by cgilles into branch 'master'.

Apply patch #89737 from Maik Qualmann to fix select all feature in Image Editor
FIXED-IN: 4.6.0

M  +10   -3    utilities/imageeditor/widgets/canvas.cpp

http://commits.kde.org/digikam/93f7339892c9c5ff79db22c8008d239f2a1f1dec